Bug 1293445 - [abrt] evince: cmsGetColorSpace(): evince-thumbnailer killed by SIGSEGV
[abrt] evince: cmsGetColorSpace(): evince-thumbnailer killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ac87bb7667946b7e5ad85429cb0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 13:54 EST by mariolinux
Modified: 2016-10-11 19:22 EDT (History)
5 users (show)

See Also:
Fixed In Version: poppler-0.34.0-4.fc23 poppler-0.41.0-3.fc24 poppler-0.45.0-2.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-28 20:55:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (16.12 KB, text/plain)
2015-12-21 13:54 EST, mariolinux
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-21 13:54 EST, mariolinux
no flags Details
File: core_backtrace (3.35 KB, text/plain)
2015-12-21 13:54 EST, mariolinux
no flags Details
File: dso_list (8.65 KB, text/plain)
2015-12-21 13:54 EST, mariolinux
no flags Details
File: environ (850 bytes, text/plain)
2015-12-21 13:54 EST, mariolinux
no flags Details
File: exploitable (93 bytes, text/plain)
2015-12-21 13:54 EST, mariolinux
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-21 13:54 EST, mariolinux
no flags Details
File: maps (40.75 KB, text/plain)
2015-12-21 13:54 EST, mariolinux
no flags Details
File: mountinfo (3.35 KB, text/plain)
2015-12-21 13:54 EST, mariolinux
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-21 13:54 EST, mariolinux
no flags Details
File: open_fds (559 bytes, text/plain)
2015-12-21 13:54 EST, mariolinux
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-12-21 13:54 EST, mariolinux
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 97870 None None None 2016-09-20 05:08 EDT

  None (edit)
Description mariolinux 2015-12-21 13:54:37 EST
Version-Release number of selected component:
evince-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        evince-thumbnailer -s 256 file:///home/mario/Scaricati/postscript_un_linguaggio_per_la_composizione_finale.pdf /tmp/.gnome_desktop_thumbnail.X53B8X
crash_function: cmsGetColorSpace
executable:     /usr/bin/evince-thumbnailer
global_pid:     2549
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 cmsGetColorSpace at cmsio0.c:934
 #1 GfxICCBasedColorSpace::parse at GfxState.cc:2027
 #2 GfxColorSpace::parse at GfxState.cc:389
 #3 GfxIndexedColorSpace::parse at GfxState.cc:2562
 #4 GfxColorSpace::parse at GfxState.cc:391
 #5 Page::loadThumb at Page.cc:689
 #6 poppler_page_get_thumbnail at poppler-page.cc:490
 #7 pdf_document_get_thumbnail at ev-poppler.cc:488
 #8 evince_thumbnail_pngenc_get at evince-thumbnailer.c:181

Potential duplicate: bug 1074712
Comment 1 mariolinux 2015-12-21 13:54:42 EST
Created attachment 1108369 [details]
File: backtrace
Comment 2 mariolinux 2015-12-21 13:54:43 EST
Created attachment 1108370 [details]
File: cgroup
Comment 3 mariolinux 2015-12-21 13:54:45 EST
Created attachment 1108371 [details]
File: core_backtrace
Comment 4 mariolinux 2015-12-21 13:54:46 EST
Created attachment 1108372 [details]
File: dso_list
Comment 5 mariolinux 2015-12-21 13:54:48 EST
Created attachment 1108373 [details]
File: environ
Comment 6 mariolinux 2015-12-21 13:54:49 EST
Created attachment 1108374 [details]
File: exploitable
Comment 7 mariolinux 2015-12-21 13:54:51 EST
Created attachment 1108375 [details]
File: limits
Comment 8 mariolinux 2015-12-21 13:54:53 EST
Created attachment 1108376 [details]
File: maps
Comment 9 mariolinux 2015-12-21 13:54:55 EST
Created attachment 1108377 [details]
File: mountinfo
Comment 10 mariolinux 2015-12-21 13:54:56 EST
Created attachment 1108378 [details]
File: namespaces
Comment 11 mariolinux 2015-12-21 13:54:58 EST
Created attachment 1108379 [details]
File: open_fds
Comment 12 mariolinux 2015-12-21 13:54:59 EST
Created attachment 1108380 [details]
File: proc_pid_status
Comment 13 Marek Kašík 2016-09-20 05:08:46 EDT
I've reported this to upstream at https://bugs.freedesktop.org/show_bug.cgi?id=97870. I'll wait whether he will accept my patch and will backport it then.
Comment 14 Fedora Update System 2016-09-27 01:22:09 EDT
poppler-0.34.0-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab35400bb1
Comment 15 Fedora Update System 2016-09-27 02:20:41 EDT
poppler-0.41.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b1339074a6
Comment 16 Fedora Update System 2016-09-27 03:21:30 EDT
poppler-0.45.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-06e0cad5a1
Comment 17 Fedora Update System 2016-09-28 20:55:35 EDT
poppler-0.41.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-10-08 22:50:34 EDT
poppler-0.45.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-10-11 19:22:11 EDT
poppler-0.34.0-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.